# Refractive Index Database
refractiveindex.info database is an extensive and well organized collection of optical constants of various materials. The database is in public domain. Copyright and related rights were waived by <a href="mailto:polyanskiy@refractiveindex.info">Mikhail Polyanskiy</a> through the <a href="https://creativecommons.org/publicdomain/zero/1.0/">CC0 1.0 Universal Public Domain Dedication</a>. You can copy, modify and distribute refractiveindex.info database, even for commercial purposes, all without asking permission.

<a href="http://en.wikipedia.org/wiki/YAML">YAML</a> file format is used for storing material information and database structure. Many text processors have built-in syntax highlight for YAML markup. Under Windows, <a class="external text" href="https://notepad-plus-plus.org/">Notepad++</a> is recommended for viewing and editing refractiveindex.info database files.


## Web interface
https://refractiveindex.info/


## Related projects

### refractiveindex.info-scripts
Collection of Python scripts related to refractiveindex.info database<br>
https://github.com/polyanskiy/refractiveindex.info-scripts

### PyTMM
Database browser and Transfer Matrix Method implementation<br>
https://github.com/kitchenknif/PyTMM

### refractiveindex.info-sqlite
Python 3 + SQLite wrapper for the refractiveindex.info database<br>
https://github.com/HugoGuillen/refractiveindex.info-sqlite

### refractiveindex.info
Support for operations not possible through the web interface, e.g. find materials with refractive index within a specified range<br>
https://github.com/cinek810/refractiveindex.info (original scripts)<br>
https://github.com/mtarek/refractiveindex.info (fork and further development)

### RefractiveIndex.jl
Julia interface to refractiveindex.info database<br>
https://github.com/stillyslalom/RefractiveIndex.jl
